为了账号安全,请及时绑定邮箱和手机立即绑定
首页 手记 ubuntu 安装 php 7.0 memcached

ubuntu 安装 php 7.0 memcached

2018.05.24 14:47 1311浏览

sudo apt-get install php7.0-dev

sudo apt-get install libevent-dev

sudo apt-get install pkg-config

sudo pecl install igbinary

cd ~

mkdir tmp

cd tmp/

wget https://launchpad.net/libmemcached/1.0/1.0.18/+download/libmemcached-1.0.18.tar.gz

tar xzvf libmemcached-1.0.18.tar.gz

cd libmemcached-1.0.18

libmemcached-1.0.18$ ./configure

./configure

make

sudo make install


https://github.com/php-memcached-dev/php-memcached/tree/php7

unzip php-memcached-php7.zip

cd php-memcached-php7/

phpize7.0 

./configure --enable-memcached-igbinary --disable-memcached-sasl

make

sudo make install

php -i | grep mem

cp json.ini igbinary.ini 

vi igbinary.ini :

    extension=igbinary.so

cp json.ini memcached.ini :

    extension=memcached.so


cd ../cli/conf.d/

sudo ln -s ../../mods-available/igbinary.ini  20-igbinary.ini

sudo ln -s ../../mods-available/memcached.ini  20-memcached.ini


cd ../../apache2/conf.d/

sudo ln -s ../../mods-available/igbinary.ini  20-igbinary.ini

sudo ln -s ../../mods-available/memcached.ini  20-memcached.ini

sudo service apache2 restart 


----- 如果上面安装 memcached 出现错误,导致安装不成功,请使用下面的命令代替 -------- 

sudo apt-get install -y php7.0-dev git pkg-config build-essential libmemcached-dev

[ sudo apt-get -f install ]  -- 上一句命令提示有误时执行这句 -- 

cd ~

git clone https://github.com/php-memcached-dev/php-memcached.git

cd php-memcached

git checkout php7

phpize

./configure --disable-memcached-sasl

make

sudo make install


点击查看更多内容
PHP
0人点赞

若觉得本文不错,就分享一下吧!

评论

作者其他优质文章

正在加载中
手记
粉丝
97
获赞与收藏
353

关注TA,一起探索更多经验知识

同主题相似文章浏览排行榜

风间影月说签约讲师

51篇手记,涉及Java、MySQL、Redis、Spring等方向

进入讨论

Tony Bai 说签约讲师

151篇手记,涉及Go、C、Java、Python等方向

进入讨论
感谢您的支持,我会继续努力的~
扫码打赏,你说多少就多少
赞赏金额会直接到老师账户
支付方式
打开微信扫一扫,即可进行扫码打赏哦
意见反馈 帮助中心 APP下载
官方微信

举报

0/150
提交
取消